NpeHtndoukaumsa yactmubl B QTelescope
02/26/2018 09:12 AM - Vitaliy Schetinin

Status: 3akpbiTa Start date: 02/26/2018
Priority: Hunakuia Due date:

Assignee: Vitaliy Schetinin % Done: 100%
Category: Software Estimated time: 0.00 hour
Target version:

Description

Moo noeHTudrKaumein YacTupl NoapasyMeBaeTcs BOCTAHOBNEHNE ee 4-X BETKOPa Ha MULIEHU.
N3 ERQTelescopeTrackFinder 3Haem HanpaBneHne nMnynbca YacTuLbl.
Kak cumtaem mogynb nmnynbca?

Konneru, npowy gonucatb OaHHyo 3anady!

History

#1 - 02/27/2018 08:53 PM - Sergey Belogurov
,D,ﬂﬂ HaxoXaeHusa Moaynsa nmnynbca Hafao 3Hatb MacCy 4actuubl, B HalWweM cnyyae He—3, N ee KNHeTU4eCKyto aHepruto. KuHeTuyeckas JHeprus -
9TO CyMMa 9HeproBblAeNeHN B ABYX CNOAX Teneckona nnioc cpeaHne noTepu YacTuLbl C Takol CKOOPCTbIO U C TakUM Z B MEPTBbIX CNOSIX.

Vl,D,eHTI/I(*)I/IKaLlVIH YacTuubl - 3TO NpepeenHne ee A,Z v kak cnpecTBme mMaccol. B ocHoBe I/I,EI,eHTI/I(*)I/IKaLlVII/I aHanua pe3ynbTataoB oNXuTmnsaumu.

DeltaE - aHeproBbloeneHne B TOHKOM CIoe, E - cymMma B TONCTOM 11 TOHKOM CNOsIX . rpadouyeckuii kat Ha guarpammy DeltaE-E gonxeH kakum-T1o
obpa3om 3anaTb nonb3osarens. OcTaeTcs BONPOC - FAe U Kak 3aaath 3T0T Kat? B nomnonHeHue Kk aToMy KaTy MoryT 6biTb ele 1 06CyX AeHHbIE
paHee KaTbl HA NPEOAONEHME NOPOrOB U Manoe OTANYME SHEProBbIAENEHUA, CHATAHHBIX C ABYX CTOPOH.

Monyyaetcsi, Ha ocHoBe rpy6oii E n DeltaE Mbl noeHTUMUMPYEM YacTuLy, a fanblue, yXe 3Hasi Maccy, BblYUCISIEM KOPPEKLIMIO HA MEPTBLIE COW.

#2 - 02/27/2018 08:54 PM - Sergey Belogurov

- Assignee changed from Sergey Belogurov to Vitaliy Schetinin

#3 - 02/27/2018 10:43 PM - Vratislav Chudoba

- Category set to Software

Ecnun nmeetcs nigpopmaums o 4umnynbce Ny4KkoBOW YacTuLbl B LEHTPE MULLEHM (3Ta 3a4a4a yXe npakTuyYeckn peweHa) u, [onyctum,
HOPMMPOBAHHbIN BEKTOP 4acTuLbl MONaBluei B Teneckon (3anaya #146), Torna MoXHO caenatb rpaduyecknin Kat MAeHTUKaLMmM Ha OCHOBE
KapTWMHOK U3 Makpoca aHanu3aa (370 Makpoc, KOTOPbIM BbIBOAVM BCE BO3MOXHbIE KAPTUHKM N3 fepeBa ¢ nomoubio TTree::Draw()) n peKOHCTPYKUMIO
4acTuubl B TOM Xe Makpoce. I'Ipennaralo 3Ty 3a4avy noka OoCTaBUTb Ha aTan O6pa6OTKVI JOaHHbIX, KOTOprI7I noKaxeT, 4TO HaAo0 U Kakmne noaxonbl
nmetoTcsa. Cyutato, 4TO NPOAyMaTh BCE O4EHb XOPOLO 3apaHee MOXET He NONyYUTCS.

#4 - 04/02/2018 07:27 PM - Vitaliy Schetinin
- % Done changed from 0 to 90
http://er.jinr.ru/develop/issues/146

B cooTBeTBylOwWYI0 BETKY BANTA AaHHas pyHKUMOHanbHocTb. JobasneH knacc ERQTelescopePID co cnepytowmm nHTepdecom
ERQTelescopePID* gtelescopePID = new ERQTelescopePID(verbose);
gtelescopePID->SetStationParticle("DoubleSi_SD1_XY_0",1000020030);
gtelescopePID->SetStationParticle("DoubleSi_SD2_XY_1",1000020030);

qtelescopePID->SetStationParticle("DoubleSi_D1_XY_2",1000020030);
run->AddTask(qgtelescopePID);

SetStationParticle("DoubleSi_SD1_XY_0",1000020030); - 3aaaeT runotesy o ToMm, 470 4yacTuua ¢ pdg 1000020030 npuneTtena B Teneckon
DoubleSi_SD1_XY_0

B peaynbTaTe AaHHO 3aaaym nosiensieTcsl BETkU ¢ HaseaHusimm Buaa: ERQTelescope_DoubleSi_SD1_XY_0_1000020030 c o6bektamu Tvna
ERQTelescopeParticle, koTopble umetoT aTpnbyThbi:

fDeadEloss - noTepu faHHOI YacTuLbl B MEPTBbIX CNOSX TENeckona v NonoBYHE MULIEHU
fLVTarget - yeTblpex BEKTOP YacTULbl HA MULIEHN
fLVTelescope - 4eTbipex BEKTOP 4acTuLpbl HA Teneckone.

Mmnotes npo Tunbl NpuneTarwWwmx 4acTul B Teneckon Moxer 6bITb NpPOn3BOJIbHOE KONNYEeCTBO. Mon Kaxnaytw rmnortesy 6y,u,eT co3naHa CBOoA BeTKa.

#5 - 04/02/2018 09:41 PM - Vitaliy Schetinin

JobaBneHa BO3MOXHOCTb [06aBNATL NONb30BATENBCKUMA KaT HA AEPEBO BXOLHOrO (haiina (B TOM 4Yncne u rpacpuyeckuit) . Tonbko cobbiTus
KOTOpbIE NMPOWNY AaHHbIA KaT 6yayT obpaboTaHbl. [ns Bce ocTanbHbix 6yoyT 3anvcaHbl NycTble KONNeLuum.

WHTepdeiic Takoin:
gtelescopePID->SetUserCut("ERQTelescopeSiDigi_DoubleSi_D1_XY_2_X.fEdep > 0.00001");

I'ne "ERQTelescopeSiDigi_DoubleSi_D1_XY_2_X.fEdep > 0.00001" o6bekT knacca TCut.

#6 - 04/04/2018 02:13 PM - Vitaliy Schetinin

BeTka Bnuta B dev

#7 - 04/12/2018 01:12 PM - Vitaliy Schetinin

04/03/2025 2/3



- Status changed from Ortkpeita to 3akpbiTa

- % Done changed from 90 to 100
